commit e6af93c34c779743087752436c68d071846d4c82
Author: freddy77 <freddy77>
Date:   Tue Dec 22 18:56:22 2009 +0000

    Don't call SQLAllocEnv for ODBC 3

diff --git a/ChangeLog b/ChangeLog
index 395816e..dd61f0a 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Tue Dec 22 20:00:18 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/unittests/common.c: Don't call SQLAllocEnv for ODBC 3
+
 Thu Dec 17 22:08:50 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/odbc.c: Automatic odbc version selection
 
@@ -2013,4 +2016,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2913 2009/12/17 21:08:59 freddy77 Exp $
+$Id: ChangeLog,v 1.2914 2009/12/22 18:56:22 freddy77 Exp $
diff --git a/src/odbc/unittests/common.c b/src/odbc/unittests/common.c
index 3c1c049..998301d 100644
--- a/src/odbc/unittests/common.c
+++ b/src/odbc/unittests/common.c
@@ -12,7 +12,7 @@
 #define TDS_SDIR_SEPARATOR "\\"
 #endif
 
-static char software_version[] = "$Id: common.c,v 1.54 2009/03/16 12:19:03 freddy77 Exp $";
+static char software_version[] = "$Id: common.c,v 1.55 2009/12/22 18:56:22 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 HENV Environment;
@@ -199,12 +199,15 @@ Connect(void)
 	if (read_login_info())
 		exit(1);
 
-	CHKAllocEnv(&Environment, "S");
-
-	if (use_odbc_version3)
+	if (use_odbc_version3) {
+		CHKAllocHandle(SQL_HANDLE_ENV, SQL_NULL_HANDLE, &Environment, "S");
 		SQLSetEnvAttr(Environment, SQL_ATTR_ODBC_VERSION, (SQLPOINTER) (SQL_OV_ODBC3), SQL_IS_UINTEGER);
+		CHKAllocHandle(SQL_HANDLE_DBC, Environment, &Connection, "S");
+	} else {
+		CHKAllocEnv(&Environment, "S");
+		CHKAllocConnect(&Connection, "S");
+	}
 
-	CHKAllocConnect(&Connection, "S");
 	printf("odbctest\n--------\n\n");
 	printf("connection parameters:\nserver:   '%s'\nuser:     '%s'\npassword: '%s'\ndatabase: '%s'\n",
 	       SERVER, USER, "????" /* PASSWORD */ , DATABASE);

